#include <stdio.h>
#include <dos.h>
#include <ctype.h>

/*
  Hey there, you'll notice that I did not use the conio library to change and use colours.  This was because I was
unaware of that particular library until recently.  Still, I prefer handling the colours myself still, it helps people
understand what's going on.  First let me explain how this is used:

In order to change anything, we have to modify Page 0.  That is the Page that is currently on screen.  If I modify Page
1 first and then set Page 0 = Page 1; it would do an instant redraw with absolutely no delays.

I did not do this.

Rather, I make changes to Page 0 on the fly.  This may not be the optimal way of doing it, so maybe I'll rewrite it later.
As for right now, all of the hex you see below are the particular values of each thing you can do to the Pages (the
screen is Page 0, remember).

You may notice some American spellings, (color->colour).  That is because I'm one sloppy Canadian.  I should probably
clean that up too...come to think of it.
*/
 
#define VIDEO 0x10		// Page 0.

#define FG_Black 0x00
#define FG_Blue 0x01
#define FG_Green 0x02
#define FG_Cyan 0x03
#define FG_Red 0x04
#define FG_Magenta 0x05
#define FG_Brown 0x06		// This will change what the prompt writes in terms of colours.  The FGs represent fore-
#define FG_Gray 0x07		// ground colours.  You'll notice that only 8 are listed, but there should be a total
#define BG_Black 0x00		// of sixteen foreground colours (if you know prompt writing at all).  In order to get
#define BG_Blue 0x10		// The brighter ones, you must pipe it into an unsigned character.  BG_Red|Bright will
#define BG_Green 0x20		// make it bright red, not dark red.  BG_Red|Bright|Blinking will make the text blink
#define BG_Cyan 0x30		// as well.  Add |BG_Cyan to change the background colour.  No, you may not make the
#define BG_Red 0x40		// BGs bright, so you are limited in that particular way.
#define BG_Magenta 0x50
#define BG_Brown 0x60
#define BG_Gray 0x70
#define Bright 0x08
#define Blinking 0x80
