#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "PlayTile.h"

#ifndef gf_included_list_h
#define gf_included_list_h

typedef struct Llist TList;
typedef struct tnode TNode;

struct Llist
{
 TNode* Head;
 TNode* Current;
 
 int NumCollects;
 bool GameOver;
 bool Winner;
 bool GetGems; 
};

struct tnode
{
 PlayTile theTile;
 int ID;
 
 TNode* next;
};

void freeList(TList theList);
TList addNode(TList theList, PlayTile newTile);
TList removeNodes(TList theList);
TList nextNode(TList theList);
TList CreateNewTList();
TList SwitchOverCollect(TList theList);
TList SwapNodes (TList theList, TNode* First, TNode* Second);
TList ResetList(TList theList);
void PrintList(TList theList);

#endif
